Reclaim screen real estate that is currently covered by the unused contact-list statusbar

RESOLVED FIXED in 1.6

Status

defect
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: Mic, Assigned: aleth)

Tracking

trunk
x86
Windows XP

Details

Attachments

(1 attachment)

(Reporter)

Description

5 years ago
*** Original post on bio 1341 at 2012-03-16 19:27:00 UTC ***

The statusbar of the contact list is taking space at the moment with not much effect. I think we should reclaim that space for the contacts until we actually put something in the statusbar (well, if we'll ever do?).

Granted, the window resizer is there, but it's not 1995 anymore when you'd needed to teach people how to use or resize windows. Firefox doesn't have one either and it seems to work fine for them.
*** Original post on bio 1341 at 2012-03-16 23:57:49 UTC ***

(In reply to comment #0)

> Granted, the window resizer is there, but it's not 1995 anymore when you'd
> needed to teach people how to use or resize windows.

On Mac the resizer seems the only way to resize a window. It's visible on all resizable windows.
(Reporter)

Comment 2

5 years ago
*** Original post on bio 1341 at 2012-03-19 10:26:54 UTC ***

(In reply to comment #1)
> (In reply to comment #0)
> 
> > Granted, the window resizer is there, but it's not 1995 anymore when you'd
> > needed to teach people how to use or resize windows.
> 
> On Mac the resizer seems the only way to resize a window. It's visible on all
> resizable windows.

Ah, good to now :) Do you know how Firefox worked around this? Or haven't they removed their statusbar on Mac in the end (as I can't find screenshots of Mac-Firefox without a statusbar as it seems!)?
*** Original post on bio 1341 at 2012-03-19 11:52:42 UTC ***

The resizer is displayed above whatever content there is in the corner of the window if the window is resizable. It usually looks OK, except sometimes when there's a vertical scrollbar but no horizontal scrollbar (in that case the resizer takes the corner and has a white background, which doesn't really look great).
(Reporter)

Comment 4

5 years ago
*** Original post on bio 1341 at 2012-03-19 16:49:51 UTC ***

(In reply to comment #3)
> It usually looks OK, except sometimes when
> there's a vertical scrollbar but no horizontal scrollbar (in that case the
> resizer takes the corner and has a white background, which doesn't really look
> great).

That could be quite often the case for us (when someone has more than only a few contacts) :(.

What if we keep the statusbar (element) and hide it on other OS'?
*** Original post on bio 1341 at 2012-03-19 16:54:28 UTC ***

I don't think it's bad enough to justify a special case. (Btw, what about bug 953771 (bio 328)?)
(Reporter)

Comment 6

5 years ago
*** Original post on bio 1341 at 2012-03-20 10:40:47 UTC ***

(In reply to comment #5)
> I don't think it's bad enough to justify a special case. (Btw, what about bug
> 328?)

That's the bug I had in mind when writing:

(In reply to comment #0)
> until we actually put something in the statusbar.
> (well, if we'll ever do?).

Does that mean that bug 953771 (bio 328) is still wanted? I was unsure, therefore the comment in brackets.
(Assignee)

Comment 7

5 years ago
Assignee: nobody → aleth
Status: NEW → ASSIGNED
Attachment #8519588 - Flags: review?(clokep)
I was still hoping bug 953771 would get finished at some point :-/. But I guess the statusbar wouldn't be difficult to re-add later when needed.
(Assignee)

Comment 9

5 years ago
(In reply to Florian Quèze [:florian] [:flo] from comment #8)
> I was still hoping bug 953771 would get finished at some point :-/. But I
> guess the statusbar wouldn't be difficult to re-add later when needed.

Yes, it seems more sensible to add something designed for that particular purpose when it is actually implemented.
Attachment #8519588 - Flags: review?(clokep) → review+
(Assignee)

Updated

5 years ago
Keywords: checkin-needed
(Assignee)

Updated

5 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Keywords: checkin-needed
Resolution: --- → FIXED
Target Milestone: --- → 1.6
You need to log in before you can comment on or make changes to this bug.